package user

import (
	"sync"
)

const (
	ROLE_ADMIN      = "admin"
	ROLE_GAMEMASTER = "gamemaster"
	ROLE_PLAYER     = "player"
)

type User struct {
	mu       sync.Mutex
	id       string
	authcode string
	name     string
	role     string
	gameId   string
}

type UserJson struct {
	Authcode string `json:"authcode"`
	Name     string `json:"name"`
	Role     string `json:"role"`
	GameId   string `json:"game"`
}

type UserinfoJson struct {
	Name   string `json:"name"`
	Role   string `json:"role"`
	GameId string `json:"game"`
}
